Name:		worker
Version:	2.19.2
Release:	1
Summary:	File Manager for the X11
License:	GPLv2+
URL:		http://boomerangsworld.de/worker
Group:		Applications/File
Source0:	http://boomerangsworld.de/cms/%{name}/downloads/%{name}-%{version}.tar.bz2
Source1:	http://boomerangsworld.de/cms/%{name}/downloads/%{name}-%{version}.tar.bz2.asc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: avfs-devel >= 1.0.1-1
BuildRequires: file-devel >= 5.05-1
BuildRequires: gcc >= 4.2.3-2
BuildRequires: gcc-c++ >= 4.2.3-2
BuildRequires: libstdc++-devel >= 4.2.3-2

Requires: avfs >= 1.0.1-1
Requires: bash
Requires: file >= 5.05-1
Requires: libgcc >= 4.2.3-2
Requires: libstdc++ >= 4.2.3-2

%description
A X11 file-manager that features low requirements and easy to access archives.


%prep
%setup -q


%build
export CC="gcc -maix32"
export CXX="g++ -maix32"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export CXXFLAGS="${CFLAGS}"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-largefile \
    --with-x \
    --with-avfs \
    --with-avfs-path=%{_prefix} \
    --with-libmagic

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* ||:

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING THANKS
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/fr/man1/*
%{_mandir}/it/man1/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/WorkerIcon*.xpm
/etc/X11/applnk/Applications/*
/usr/bin/*


%changelog
* Mon Dec 10 2012 Michael Perzl <michael@perzl.org> - 2.19.2-1
- first version for AIX V5.1 and higher
